class MetaOne(type):
    def __new__(meta, classname, supers, classdict):
        print('W MetaOne.new:', meta, classname, supers, classdict, sep='\n...')
        return type.__new__(meta, classname, supers, classdict)

class Super:
    pass

print('Tworzenie klasy')
class Hack(Super, metaclass=MetaOne):     # Dziedziczy po Super, instancji Meta
    data = 1                              # Atrybut danych klasy
    def meth(self, arg):                  # Atrybut metody klasy
        return self.data + arg

print('Tworzenie instancji')
X = Hack()
print('Attrybuty:', X.data, X.meth(2))

